#!/usr/bin/env node

'use strict';

const createClient = require('./lib/client');
const createServer = require('./lib/server');

const args = require('yargs')
  .option('c', { alias: 'client', type: 'string'})
  .argv;


main();


function main() {
  if (args.help) {
    return help();
  }
  connect();
}

function connect() {
  if (args.client !== undefined) {
    createClient(parseHost());
  } else {
    createServer(parseHost());
  }
}

function parseHost() {
  let address = args._[0] || args.client || '';
  let [host, port = 1077] = address.toString().split(':');
  return {host, port};
}

function help() {
  console.log(`Using clipboard-share [-c] [host:port|host]
`);
}